Bug 807994 - (CVE-2012-0260) CVE-2012-0260 ImageMagick: excessive CPU use DoS by processing JPEG images with crafted restart markers
CVE-2012-0260 ImageMagick: excessive CPU use DoS by processing JPEG images wi...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120328,reported=2...
: Security
Depends On: 796844 796845 804787 804788 808159
Blocks: 789444
  Show dependency treegraph
 
Reported: 2012-03-29 06:05 EDT by Stefan Cornelius
Modified: 2015-11-24 09:49 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Cornelius 2012-03-29 06:05:53 EDT
A denial of service flaw was found in the way ImageMagick, an image display and manipulation tool for the X Window System, decoded certain JPEG images. A remote attacker could provide a JPEG image with specially-crafted values / sequences of RST0 up to RST7 restart markers (used to indicate the input stream to be corrupted), which once processed by some ImageMagick tool would lead that tool to consume excessive amount of CPU time (denial of service).

Upstream patch:

[1] http://www.imagemagick.org/discourse-server/viewtopic.php?f=4&t=20629
Comment 1 Jan Lieskovsky 2012-03-29 13:04:36 EDT
Acknowledgements:

Red Hat would like to thank CERT-FI for reporting this issue. CERT-FI acknowledges Aleksis Kauppinen, Joonas Kuorilehto, Tuomas Parttimaa and Lasse Ylivainio of Codenomicon's CROSS project as the original reporters.
Comment 2 Jan Lieskovsky 2012-03-29 13:30:19 EDT
This issue affects the versions of the ImageMagick package, as shipped with Fedora release of 15 and 16.
Comment 3 Jan Lieskovsky 2012-03-29 13:41:57 EDT
Public now via:
[2] http://www.cert.fi/en/reports/2012/vulnerability635606.html
Comment 4 Jan Lieskovsky 2012-03-29 13:43:41 EDT
Created ImageMagick tracking bugs for this issue

Affects: fedora-all [bug 808159]
Comment 5 Stefan Cornelius 2012-03-30 07:58:38 EDT
This issue affects the versions of the ImageMagick package, as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 6 Pavel Alexeev 2012-04-11 09:29:03 EDT
Rawhide build which should fix it http://koji.fedoraproject.org/koji/taskinfo?taskID=3977291.
Comment 7 errata-xmlrpc 2012-05-07 14:48:27 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0545 https://rhn.redhat.com/errata/RHSA-2012-0545.html
Comment 8 errata-xmlrpc 2012-05-07 14:51:32 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0544 https://rhn.redhat.com/errata/RHSA-2012-0544.html

Note You need to log in before you can comment on or make changes to this bug.